# Client Accounts

Client Account balances, top-ups and history.
Response fields keep the legacy name `deposit` (for example `deposit_id`). Requests to the
earlier `/deposits/chain/{chain_id}` and `/deposits_operations/{location_id}` URLs and the
`deposit_id` request field still work and return the same result. The Client Accounts of a
Client at a Location have no new URL: `/deposits/company/{location_id}/client/{client_id}`.

 - [GET /deposits/company/{location_id}/client/{client_id}](https://developer.alteg.io/en/b2b-v1/openapi/client-accounts/get_client_account_list_by_location_and_client.md)
 - [GET /chains/{chain_id}/client_accounts](https://developer.alteg.io/en/b2b-v1/openapi/client-accounts/get_client_account_list_by_chain.md)
 - [GET /chains/{chain_id}/client_accounts/phone/{phone}](https://developer.alteg.io/en/b2b-v1/openapi/client-accounts/get_client_account_by_chain_and_phone.md)
 - [POST /locations/{location_id}/client_account_operations](https://developer.alteg.io/en/b2b-v1/openapi/client-accounts/create_client_account_topup_operation.md): Creating a transaction with a client account involves creating a document, a transaction with a client account, and a financial transaction within a single API request.
 - [GET /chains/{chain_id}/client_accounts/{client_account_id}/history](https://developer.alteg.io/en/b2b-v1/openapi/client-accounts/get_chain_client_account_history.md): Retrieves the transaction history for a specific client account in the chain. Returns a list of all transactions (top-ups, withdrawals, etc.) made on the client account. **Note:** Requires chain-level
